javax.media.opengl

## Class GLDebugMessage

- java.lang.Object
- - javax.media.opengl.GLDebugMessage

-     public class GLDebugMessage
      extends Object

  OpenGL debug message generated by the driver and delivered via `GLDebugListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLDebugMessage(GLContext source, long when, int dbgSource, int dbgType, int dbgId, int dbgSeverity, String dbgMsg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDbgId()`
    `String` | `getDbgMsg()`
    `int` | `getDbgSeverity()`
    `static String` | `getDbgSeverityString(int dbgSeverity)`
    `int` | `getDbgSource()`
    `static String` | `getDbgSourceString(int dbgSource)`
    `int` | `getDbgType()`
    `static String` | `getDbgTypeString(int dbgType)`
    `GLContext` | `getSource()`
    `long` | `getWhen()`
    `static String` | `toHexString(int i)`
    `static StringBuilder` | `toHexString(StringBuilder sb, int i)`
    `String` | `toString()`
    `StringBuilder` | `toString(StringBuilder sb)`
    `static GLDebugMessage` | `translateAMDEvent(GLContext source, long when, int dbgId, int amdDbgCategory, int dbgSeverity, String dbgMsg)`
    `static int` | `translateARB2AMDCategory(int dbgSource, int dbgType)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GLDebugMessage

          public GLDebugMessage(GLContext source,
                        long when,
                        int dbgSource,
                        int dbgType,
                        int dbgId,
                        int dbgSeverity,
                        String dbgMsg)

      Parameters:
        `source` - The source of the event
        `when` - The time of the event
        `dbgSource` - The ARB source
        `dbgType` - The ARB type
        `dbgId` - The ARB id
        `dbgSeverity` - The ARB severity level
        `dbgMsg` - The debug message

  - ### Method Detail

    - #### translateAMDEvent

          public static GLDebugMessage translateAMDEvent(GLContext source,
                                         long when,
                                         int dbgId,
                                         int amdDbgCategory,
                                         int dbgSeverity,
                                         String dbgMsg)

      Parameters:
        `source` -
        `when` -
        `dbgId` -
        `amdDbgCategory` -
        `dbgSeverity` - AMD severity level equals ARB severity level (value and semantic)
        `dbgMsg` -
      Returns:

    - #### translateARB2AMDCategory

          public static int translateARB2AMDCategory(int dbgSource,
                                     int dbgType)

    - #### getSource

          public GLContext getSource()

    - #### getWhen

          public long getWhen()

    - #### getDbgSource

          public int getDbgSource()

    - #### getDbgType

          public int getDbgType()

    - #### getDbgId

          public int getDbgId()

    - #### getDbgSeverity

          public int getDbgSeverity()

    - #### getDbgMsg

          public String getDbgMsg()

    - #### toString

          public StringBuilder toString(StringBuilder sb)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getDbgSourceString

          public static String getDbgSourceString(int dbgSource)

    - #### getDbgTypeString

          public static String getDbgTypeString(int dbgType)

    - #### getDbgSeverityString

          public static String getDbgSeverityString(int dbgSeverity)

    - #### toHexString

          public static StringBuilder toHexString(StringBuilder sb,
                                  int i)

    - #### toHexString

          public static String toHexString(int i)

Copyright 2010 JogAmp Community.